/ api / name / gb_constant
GB_CONSTANT
Syntax

    #define GB_CONSTANT ( symbol , type , value ) ...

Declares a constant symbol.

- symbol is the name of the constant.
- type is the type of the constant.
- value is the value of the constant.

This table gives more details:

Constant type | How to specify the type | How to specify the value | Example
--- | --- | --- | ---
Integer | `"i"` | Directly the integer value | `GB_CONSTANT("Constant", "i", 1972)`
Float | `"f"` | The floating point value as a string | `GB_CONSTANT("Constant", "f", "3.1416")`
String | `"s"` | The string, between double quotes | `GB_CONSTANT("Constant", "s", "Gambas")`

### See also

Class Description